---
updatedAt: 2026-04-27T15:52:51.000Z
agentTools:
  siteIndex: https://developer.paylocity.com/llms.txt
  projectIndex: https://developer.paylocity.com/integrations/llms.txt
---

# Create an Employee Pay Rates Search

> 🚧 Beta Phase
> 
> This resource is in closed beta.  Paylocity Technology Partners interested may contact the marketplace team to explore early adopter opportunities at [marketplaceapisupport@paylocity.com](mailto:marketplaceapisupport@paylocity.com) 

**Summary Description**

 Performs a pay rates search for the specified company according to the search parameters passed in the request body.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "WebLink API",
    "description": "For documentation about this API, please visit https://developer.paylocity.com/integrations/reference/weblink-overview",
    "contact": {
      "email": "webservices@paylocity.com"
    },
    "version": "v2"
  },
  "servers": [
    {
      "url": "https://dc1demogw.paylocity.com/api"
    }
  ],
  "paths": {
    "/v2/companies/{companyId}/employeePayRateSearches": {
      "post": {
        "tags": [
          "Pay Rate Searches"
        ],
        "summary": "Create an Employee Pay Rates Search",
        "description": "> 🚧 Beta Phase\n> \n> This resource is in closed beta.  Paylocity Technology Partners interested may contact the marketplace team to explore early adopter opportunities at [marketplaceapisupport@paylocity.com](mailto:marketplaceapisupport@paylocity.com) \n\n**Summary Description**\n\n Performs a pay rates search for the specified company according to the search parameters passed in the request body.",
        "x-explorer-enabled": false,
        "operationId": "Search for pay rates",
        "parameters": [
          {
            "in": "path",
            "name": "companyId",
            "description": "The companyId",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "The search criteria defining the list of employee IDs to search pay rates for",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/payRateSearchesRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Pay rates matching the provided search criteria",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/payRateSearchesResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. Returned when the request contains invalid values or is missing required properties."
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden. If the client ID associated with the bearer token doesn't have required authorization claims assigned."
          },
          "429": {
            "description": "Too Many Requests"
          },
          "500": {
            "description": "Internal Server Error"
          }
        },
        "security": [
          {
            "paylocity_auth": [
              "WebLinkAPI"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "payRateSearchesRequest": {
        "type": "object",
        "properties": {
          "effectiveDateFlag": {
            "type": "string",
            "description": "A flag that defines which effective dated records should be returned. If not defined the response body will contain the only the current pay rate for each employee.",
            "enum": [
              "History",
              "Future",
              "All"
            ]
          },
          "employeeIds": {
            "type": "array",
            "minItems": 1,
            "maxItems": 100,
            "description": "The employee IDs to search pay rates for",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "payRateSearchesResponse": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "employeeId": {
              "type": "string",
              "description": "The employee ID"
            },
            "payRates": {
              "type": "array",
              "description": "An array of pay rates for the specified employee",
              "items": {
                "type": "object",
                "description": "Represents a pay rate",
                "properties": {
                  "annualSalary": {
                    "type": "number",
                    "description": "Employee annual salary"
                  },
                  "baseRate": {
                    "type": "number",
                    "description": "Employee base rate, used for Hourly employees"
                  },
                  "beginCheckDate": {
                    "type": "string",
                    "format": "date-time",
                    "description": "The date of the first check on which the new pay rate will appear"
                  },
                  "defaultHours": {
                    "type": "number",
                    "description": "Employee default hours consistently worked"
                  },
                  "effectiveDate": {
                    "type": "string",
                    "format": "date-time",
                    "description": "The date the employee's pay rate takes effect"
                  },
                  "isAutoPay": {
                    "type": "boolean",
                    "description": "If set to True, employee will be paid automatically using defaultHours"
                  },
                  "payFrequency": {
                    "type": "string",
                    "description": "Employee current pay frequency. Common values are `A` (Annual), `B` (Bi-Weekly), `D` (Daily), `M` (Monthly), `S` (Semi-Monthly), `Q` (Quarterly), `W` (Weekly)"
                  },
                  "payType": {
                    "type": "string",
                    "description": "Employee pay type (rate code). Valid values are `Hourly` or `Salary`"
                  },
                  "ratePer": {
                    "type": "string",
                    "description": "Employee base rate frequency used with payType Hourly. Common values are `Hour`, `Week`. Default is `Hour`"
                  },
                  "rateType": {
                    "type": "string",
                    "enum": [
                      "History",
                      "Current",
                      "Future"
                    ],
                    "description": "The effective dated type of the pay rate record"
                  },
                  "salary": {
                    "type": "number",
                    "description": "Employee gross salary per pay period used with payType Salary"
                  }
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "paylocity_auth": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://api.paylocity.com/IdentityServer/connect/token",
            "scopes": {
              "WebLinkAPI": "Web Link Api"
            }
          }
        }
      }
    }
  },
  "x-original-swagger-version": "2.0"
}
```